Subject: Re: [Dime] DRMP draft v2 - typos

From: Steve Donovan <[email-masked]>
Date: Mon, 14 Dec 2015 08:48:13 -0600

All,

I have not seen any other comments on the latest version of the draft.

I believe that the thought was to bring the document to working group 
last call shortly after the document was updated.

Please let me know if there are further changes needed to the draft.  
Also, please indicate if you think the document is ready for working 
group last call.  If we get enough support for the document, then I'm 
sure we can move the document along pretty quickly.

Regards,

Steve

On 11/16/15 7:17 PM, Maria Cruz Bartolome wrote:
> Hello Steve,
>
> Thanks for the new version of this draft.
> See two small typos, for your consideration:
>
> Clause 6:
> ...
>     4.  Answer sender - The handler of the request is also the sender of
>         the answer.  The answer sender uses the priority information
>         received in the request message when sending the answer.  This
>         implies that answers for higher priority transactions are given
>         preferential treatment to lower priority transactions.  The
>         answer sender also has the option of including priority
>         information in the answer message.  This is done **what**  the answer
>         message needs to have a different priority than the priority
>         carried in the request message.
>
> I presume **what** needs to be replaced by **when**.
>
> Clause 8:
> ...
>     Diameter nodes MUST have a default priority to apply to transactions
>     that do not have an explicit priority set in the DRMP AVP.
>
>     Diameter nodes SHOULD use the PRIORITY_10 priority as this default
>     value.
>
>     Diameter nodes MUST support the ability for the default priority to
>     be modified through local configuration interfaces.
>
>        Note: There are scenarios where operators might want to specify a
>        different default value for transactions that do not have an
>        explicit priority.  In this case, the operator defined local
>        policy would override the use of PRIORITY_10 as the default
>        priority.
>
>    ** When using DRMP priority information, Diameter nodes MUST use the
>     default priority for transactions that do not have priority specified
>     in a DRMP AVP. **
>
>        Note: This guidance on the handling of messages without a priority
>        does not result in a Diameter agent inserting a DRMP AVP into the
>        message.  Rather, it gives guidance on how that specific
>        transaction should be treated when its priority is compared with
>       other requests.  When a Diameter agent relays the request it will
>        not insert a DRMP AVP with a priority value of 10.
>
>
> I think paragraph I marked between ** needs to be removed. It is already covered with previous paragraphs.
>
> Best regards
> /MCruz
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime